Subject: Re: CVS commit: pkgsrc/converters/libiconv
To: Frederick Bruckman <>
From: Thomas Klausner <>
List: pkgsrc-changes
Date: 08/31/2002 12:21:16
On Sat, Aug 31, 2002 at 12:09:32AM -0500, Frederick Bruckman wrote:
> > Modified Files:
> > 	pkgsrc/converters/libiconv: Makefile PLIST distinfo
> > 	pkgsrc/converters/libiconv/patches: patch-ab
> > Removed Files:
> > 	pkgsrc/converters/libiconv/patches: patch-aa
> This has a shared library major bump, but no change to buildlink
> DEPENDS or any version bumps. If not fixed, this is ultimately
> going to cause lossage for 1.6 binary packages of, for example,
> "evolution" or "gnome-utils".

While you are correct about the first part, this change was after the
1.6 branch.

I still think that updating all PKGREVISIONs of packages that depend
on a package every time that there is a major bump is very
annoying. Is there no other way?


Thomas Klausner -
Main Rule of Usenet:  Never argue with idiots.  They drag you down to
their level, then beat you with experience.